<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.vdb.edit" name="%pluginName" version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.vdb.edit.VdbEditPlugin">

   <runtime>
      <library name="vdbEdit_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="vdbEdit.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.antlr" export="true"/>
      <import plugin="org.eclipse.core.resources" export="true"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.emf.ecore" export="true"/>
      <import plugin="org.eclipse.emf.ecore.edit" export="true"/>
      <import plugin="org.eclipse.emf.ecore.xmi"/>
      <import plugin="org.eclipse.emf.edit" export="true"/>
      <import plugin="org.eclipse.xsd"/>
      <import plugin="com.metamatrix.core" export="true"/>
      <import plugin="com.metamatrix.modeler.core" export="true"/>
      <import plugin="com.metamatrix.modeler.sdt"/>
      <import plugin="com.metamatrix.common"/>
      <import plugin="com.metamatrix.metamodels.xmlservice"/>
      <import plugin="com.metamatrix.metamodels.webservice"/>
      <import plugin="com.metamatrix.metamodels.wsdl"/>
      <import plugin="com.metamatrix.modeler.webservice"/>
      <import plugin="com.metamatrix.metamodels.relational"/>
      <import plugin="com.metamatrix.modeler.ddl"/>
      <import plugin="com.metamatrix.core.xml"/>
      <import plugin="com.metamatrix.core.index"/>
   </requires>

   <extension-point id="vdbArtifactGenerator" name="VDB Artifact Generator"/>

   <extension point="com.metamatrix.modeler.core.resourceValidator">
      <class name="com.metamatrix.vdb.internal.edit.validation.VdbResourceValidator">
      </class>
   </extension>
   <!--
   	Each extension below represents a single metamodel.  Each metmodel is
   	registered using under the specified <uri> value which must be the same
   	eNS_URI value defined in the EPackage class for that metamodel.
   -->
   <extension id="vdb" name="%metamodelName" point="com.metamatrix.modeler.core.metamodel">
      <uri>
         http://www.metamatrix.com/metamodels/VirtualDatabase
      </uri>
      <alternateUri>
         mtkplugin:///com.metamatrix.metamodels.VirtualDatabase
      </alternateUri>
      <properties createAsPhysical="false" requiresProxies="false" participatoryOnly="true"
                  createAsVirtual="false">
      </properties>
      <packageClass name="com.metamatrix.vdb.edit.manifest.ManifestPackage">
      </packageClass>
      <adapterClass name="com.metamatrix.vdb.edit.manifest.provider.ManifestItemProviderAdapterFactory">
      </adapterClass>
   </extension>
   <extension point="org.eclipse.emf.ecore.generated_package">
      <package uri="http://www.metamatrix.com/metamodels/VirtualDatabase"
               class="com.metamatrix.vdb.edit.manifest.ManifestPackage">
      </package>
   </extension>
   
   
   <!-- MetamodelAspect extensions -->
   <extension id="vdbSqlAspect" point="com.metamatrix.modeler.core.sqlAspect">
      <metamodelExtensionID>
         vdb
      </metamodelExtensionID>
      <factoryClass name="com.metamatrix.vdb.edit.aspects.sql.VdbEditSqlAspectFactoryImpl">
      </factoryClass>
   </extension>
   <!-- EObject Matcher extensions -->
   <extension id="vdbMatcherFactory"
              point="com.metamatrix.modeler.core.eobjectMatcherFactory">
      <class name="com.metamatrix.vdb.edit.compare.VdbMatcherFactory">
      </class>
   </extension>
   

</plugin>